function  [] = C_dist1(F, P, Q, a, A, b, B, st, f_step, krok_x, krok_y, krok_I, polar)

[Jx,Jy] = meshgrid(-a/2:krok_x:a/2,-b/2:krok_y:b/2);

[px, py] = size(Jx);

Jz = zeros(px,py);

Jzx = zeros(px,py);
Jzy = zeros(px,py);


i = 0;
z1 = 0;
z2 = 0;

for y=-b/2:krok_y:b/2
    z2 = z2 + 1;
    z1 = 0;
    for x=-a/2:krok_x:a/2
    z1 = z1 + 1;
  
  for p=0:P
    for q=1:Q
        i = i + 1;
ksi_2x = F(i)*sin((q*pi/a)*(x+a/2))*ChebyshevT(p,2*y/b);
ksi_2y = -F(i)*sin((p*pi/b)*(y+b/2))*ChebyshevT(q,2*x/a);
Jzx(z2,z1) = Jzx(z2,z1) + ksi_2x;
Jzy(z2,z1) = Jzy(z2,z1) + ksi_2y;
    end
  end
  
 for p=1:P
    for q=0:Q
      i = i + 1;
ksi_1x = F(i)*sin((q*pi/a)*(x+a/2))*ChebyshevT(p,2*y/b);
ksi_1y = F(i)*sin((p*pi/b)*(y+b/2))*ChebyshevT(q,2*x/a);
Jzx(z2,z1) = Jzx(z2,z1) + ksi_1x;
Jzy(z2,z1) = Jzy(z2,z1) + ksi_1y;
    end
  end
  
  i=0;
  end
end


if (mod(st, krok_I)==0)
figure(st+6);

quiver(Jx,Jy,abs(Jzx)*10,abs(Jzy),0.5);   % x-components 10times amphasized

hold on

axis([-a/2 a/2 -b/2 b/2])

xlabel('x-component')
ylabel('y-component')

title(['frequency ',num2str((st+1)*f_step), ' GHz'])
X= [-a/2,-a/2,a/2,a/2,-a/2];
Y= [-b/2,b/2,b/2,-b/2,-b/2];
line(X,Y);

hold off;

end;
