function  [bf1,vf1,bf2,vf2] = mk( M, N, P, Q, a, A, b, B)


iM  = M + 1;
iN  = N + 1;
bf1 = zeros( 2, iM+M, iN+N, P+1, Q+1);
vf1 = bf1;
bf2 = bf1;
vf2 = bf1;



for m=-M:M
  for n=-N:N
    for p=0:P
      for q=0:Q
        psi_x = ((-1)^(q/2-1/2))*b^2*(pi/b)*(a/4)*(sinc(q*pi/2 + m*pi*a/A) + ((-1)^(q-1))*sinc(q*pi/2 - m*pi*a/A))*besselj(p,n*pi*b/B);
        psi_y = ((-1)^(p/2-1/2))*b^2*(pi/b)*(a/4)*besselj(q,m*pi*a/A)*(sinc(p*pi/2 + n*pi*b/B) + ((-1)^(p-1))*sinc(p*pi/2 - n*pi*b/B));
        
        bf1(:,iM+m,iN+n,p+1,q+1) = [  + psi_x ; + psi_y];
        vf1(:,iM+m,iN+n,p+1,q+1) = conj(bf1(:,iM+m,iN+n,p+1,q+1));
        
        bf2(:,iM+m,iN+n,p+1,q+1) = [ + psi_x ; - psi_y];
        vf2(:,iM+m,iN+n,p+1,q+1) = conj(bf2(:,iM+m,iN+n,p+1,q+1));
      end
    end
  end
end

